# Uses of Interface
java.beans.beancontext.BeanContextServiceProvider

Packages that use BeanContextServiceProvider
Package
Description
java.beans.beancontext
Provides classes and interfaces relating to bean context.

## Uses of BeanContextServiceProvider in java.beans.beancontext

Classes in java.beans.beancontext that implement BeanContextServiceProvider
Modifier and Type
Class
Description
`protected class`
`BeanContextServicesSupport.BCSSProxyServiceProvider`
Deprecated, for removal: This API element is subject to removal in a future version.
Subclasses may subclass this nested class to represent a proxy for each BeanContextServiceProvider.
Fields in java.beans.beancontext declared as BeanContextServiceProvider
Modifier and Type
Field
Description
`protected BeanContextServiceProvider`
BeanContextServicesSupport.BCSSServiceProvider.`serviceProvider`
The service provider.
Methods in java.beans.beancontext that return BeanContextServiceProvider
Modifier and Type
Method
Description
`protected BeanContextServiceProvider`
BeanContextServicesSupport.BCSSServiceProvider.`getServiceProvider()`
Returns the service provider.
Methods in java.beans.beancontext with parameters of type BeanContextServiceProvider
Modifier and Type
Method
Description
`boolean`
BeanContextServices.`addService(Class<?> serviceClass, BeanContextServiceProvider serviceProvider)`
Deprecated, for removal: This API element is subject to removal in a future version.
Adds a service to this BeanContext.
`boolean`
BeanContextServicesSupport.`addService(Class<?> serviceClass, BeanContextServiceProvider bcsp)`
Deprecated, for removal: This API element is subject to removal in a future version.
add a service
`protected boolean`
BeanContextServicesSupport.`addService(Class<?> serviceClass, BeanContextServiceProvider bcsp, boolean fireEvent)`
Deprecated, for removal: This API element is subject to removal in a future version.
add a service
`protected BeanContextServicesSupport.BCSSServiceProvider`
BeanContextServicesSupport.`createBCSSServiceProvider(Class<?> sc, BeanContextServiceProvider bcsp)`
Deprecated, for removal: This API element is subject to removal in a future version.
subclasses can override this method to create new subclasses of BCSSServiceProvider without having to override addService() in order to instantiate.
`void`
BeanContextServices.`revokeService(Class<?> serviceClass, BeanContextServiceProvider serviceProvider, boolean revokeCurrentServicesNow)`
Deprecated, for removal: This API element is subject to removal in a future version.
BeanContextServiceProviders wishing to remove a currently registered service from this context may do so via invocation of this method.
`void`
BeanContextServicesSupport.`revokeService(Class<?> serviceClass, BeanContextServiceProvider bcsp, boolean revokeCurrentServicesNow)`
Deprecated, for removal: This API element is subject to removal in a future version.
remove a service